package org.jeecg.modules.adweb.common.constant;

/**
 * @Author: 汤星鹏, Jeecg
 * @Description: 物料收集常量
 * @Date: 2020/4/2 10:04
 */
public class CompConstants {
    /**
     * 临时公告分类code
     */
    public static final String INTERIM_ANNOUNCEMENT = "interimAnnouncement";
    /**
     * 交流园地文章
     */
    public static final String CORNER = "corner";
    /**
     * 物料收集类别字典表catalog
     */
    public static final String SITE_COMP_CATALOG = "site_comp_catalog";
    /**
     * 物料收集添加失败
     */
    public static final String COMP_ADD_FAIL = "添加失败";
    /**
     * 物料收集字典表catalog头部分，用于拼接catalogCode查询属性名称，如："site_code_baseInfo"
     */
    public static final String SITE_COMP_HEAD = "site_comp_";
    /**
     * 产品
     */
    public static final String PRODUCT = "product";
    /**
     * 基础信息
     */
    public static final String BASEINFO = "baseInfo";
    /**
     * 内容
     */
    public static final String NEWS = "news";
    /**
     * 荣誉资质
     */
    public static final String HONNOR = "honor";
    /**
     * 服务保障
     */
    public static final String SERVICE_ASSURANCE="serviceGuarantee";
    /**
     * 内容分类
     */
    public static final String NEWS_CATALOG = "newsCatalog";
    /**
     * 社交媒体
     */
    public static final String SOCIAL_MEDIA = "socialMedia";
    /**
     * 产品分类
     */
    public static final String PRODUCT_CATALOG = "productCatalog";
    /**
     * 客户评价
     */
    public static final String CUSTOMS_FEEDBACK = "customerReviews";
    /**
     * 合作商
     */
    public static final String C00PERATIVE_PARTNER = "partner";
    /**
     * 首页焦点图
     */
    public static final String HOMEPAGE_FOCUS = "homeFocusMap";

    /**
     * 其他页面的banner图
     */
    public static final String BANNERPRODUCTS = "banner-products";
    public static final String BANNERPABOUTUS = "'banner-aboutUs'";
    public static final String BANNERNEWS = "banner-news";
    public static final String BANNERPQUESTION = "banner-question";
    public static final String BANNERPCONTACTUS = "banner-contactUs";
    public static final String BANNERPJOINUS = "banner-joinUs";
    /**
     * FAQ
     */
    public static final String FREQUENT_ASKED_QUESTION = "FAQ";
    /**
     * 参展信息
     */
    public static final String EXHIBITION_INFO = "exhibitionInfo";
    /**
     * 物流包装付款
     */
    public static final String LOGISTICS_PACKAGE_PAYMENT  = "logisticsPackagingPayment";
    /**
     * 公司风采
     */
    public static final String COMPANY_APPEARANCE = "enterpriseStyle";
    /**
     * 地图
     */
    public static final String MAP = "map";
    /**
     * 优势数据
     */
    public static final String ADVANTAGEDATA = "advantageData";
    /**
     * 多语言
     */
    public static final String ADWEB_LANGUAGE = "adweb_language";
    /**
     * 站点状态
     */
    public static final String SITE_STATUS = "site_status";
    /**
     * 站点运行状态
     */
    public static final String SITE_RUM_STATUS = "site_run_status";
    /**
     * 缓存前缀
     */
    public static final String CACHE_PREFIX = "AdWeb3::";

    //询盘阶段，字典条目
    public static final String ENQUIRY_PHASE = "enquiry_phase";
    //询盘跟进状态，字典条目
    public static final String ENQUIRY_TRACK_STATUS = "enquiry_track_status";
    //询盘用户有效性，字典条目
    public static final String ADMP_ENQUIRY_EFFECTIVE = "admp_enquiry_effective";
    //询盘回复状态，字典条目
    public static final String ENQUIRY_REPLAY_STATUS = "enquiry_replay_status";
    //ADMP dictService
    public static final String ADMP_CUSTOMER_ORDER_CURRENCY = "admp_customer_order_currency";

    public static final String ADMP_ENQUIRY_PARAM_NAME = "admp_enquiry_param_name";
    public static final String ADMP_ENQUIRY_PARAM_EMAIL = "admp_enquiry_param_email";
    public static final String ADMP_ENQUIRY_PARAM_PHONE = "admp_enquiry_param_phone";
    public static final String ADMP_ENQUIRY_PARAM_MESSAGE = "admp_enquiry_param_message";
    public static final String ADMP_ENQUIRY_PARAM_COMPANY = "admp_enquiry_param_company";
    public static final String ADMP_ENQUIRY_PARAM_FROM_PAGE = "admp_enquiry_param_from_page";

    /**
     * 页面code
     */
    public static final String HOME_PAGE_CODE = "home";
    public static final String ABOUT_US_PAGE_CODE = "aboutUs";
    public static final String PRODUCTS_PAGE_CODE = "products";
    public static final String PRODUCT_DETAIL_PAGE_CODE = "productDetail";
    public static final String NEWS_PAGE_CODE = "news";
    public static final String NEWS_DETAIL_PAGE_CODE = "newsDetail";
    public static final String CONTACT_US_PAGE_CODE = "contactUs";
    public static final String FAQ_PAGE_CODE = "faq";

    /**
     * 模板标签
     */
    public static final String TEMPLATE_TAGS = "template_tags";
}
