package org.jeecg.modules.adweb.serp.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author Zenas
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AvesApiSearchKeywordsDTO {
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
    private Integer keywordType;
    private String keywords;
    private Integer rankStart;
    private Integer rankEnd;
    private Integer reachStandard;
    private String userFlag;
    private String historyId;
}
